Bug 149028 - Should restorecon traverse NFS filesystems?
Should restorecon traverse NFS filesystems?
Product: Fedora
Classification: Fedora
Component: libselinux (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Depends On:
  Show dependency treegraph
Reported: 2005-02-17 19:04 EST by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.21.21-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-05 02:52:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2005-02-17 19:04:20 EST
Description of problem:

Did a yum update on the baseurl=ftp://people.redhat.com/dwalsh/SELinux/Fedora/
 repository.  Not sure exactly which package generated the restorecon output,
but I got a lot of:

/sbin/restorecon get context on /opt/local/udunits-1.11.7-pgf64/bin/udunits
failed: 'Operation not supported'
/sbin/restorecon get context on /opt/local/udunits-pgf64 failed: 'Operation not
/sbin/restorecon get context on /opt/local/xgks-pgf64 failed: 'Operation not

/opt/local is a NFS mounted directory.  Should restorecon really traverse NFS
directories?  Shouldn't the host system be responsible.

end of yum output:

Completing update for libselinux  - 9/15
Completing update for policycoreutils  - 10/15
Completing update for checkpolicy  - 11/15
Completing update for selinux-policy-targeted  - 12/15
Completing update for libsepol  - 13/15
Completing update for yum  - 14/15
Completing update for selinux-policy-targeted-sources  - 15/15

Installed: kernel-smp.i686 0:2.6.10-1.766_FC3
Updated: checkpolicy.i386 0:1.21.4-1 libselinux.i386 0:1.21.10-1 libsepol.i386
0:1.3.5-1 policycoreutils.i386 0:1.21.17-1 selinux-policy-targeted.noarch
0:1.21.14-1 selinux-policy-targeted-sources.noarch 0:1.21.14-1 yum.noarch

Version-Release number of selected component (if applicable):

How reproducible:
Haven't tried to reproduce

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Daniel Walsh 2005-03-08 14:29:52 EST
Latest policycoreutils uses find to eliminate nfs traversal and pipes
output to restorecon. 

Comment 2 Orion Poplawski 2005-03-10 16:27:55 EST
I'm running with policycoreutils-1.21.22-2 now.  I'll let you know if
I see this again.  I've see some restorecon output since without
seeing any NFS directories, but not sure if that proves this is fixed.

Note You need to log in before you can comment on or make changes to this bug.